Skip to main content

Akoya
Documentation

Apps Management API Guide

The Apps Management API helps you create and update your applications on the network. You can also search for providers and request subscriptions for the data you need.

Overview

Sign up for the Data Recipient Hub

Your first step is to join the network through the Data Recipient Hub. The Data Recipient Hub allows you to create an app in sandbox and test our product endpoints.

For more information, see Getting Started.

Once you're on the network, you may use the Apps Management API to access your organization's applications.

Get Credentials

The Apps Management API requires a service (access) token for your organization to use when managing your apps. To create a service token, you'll need a client id and secret.

Authentication

The Apps Management API requires service (access) tokens, NOT ID tokens. The data APIs use ID tokens. See the Service Token API for more info. Service tokens last for 24 hours. After they expire, you will need to use your client id and secret to generate new ones.

Creating Apps

When creating apps, you must specify which products your app uses and make subscription requests. A subscription links your application to the products your app will use and the data providers that have activated your subscription.

To determine which products you need and which providers support those products, see the following:

Now you're ready to create your apps! Read the following sections for the features available to manage your apps.

Apps Management API URLs

  • Sandbox: https://sandbox-api.akoya.com

  • Production: https://api.akoya.com

Features

The Apps Management API allows you to mange or search your app(s) details, Akoya products, and your subscriptions.

Apps

Create App

This endpoint allows you to create applications via API. Provide the following in the request body:

  • client_name (String)

  • redirect_uris (Array of Strings)

  • contacts (Array of Strings)

  • description (String)

  • logo_uri (String)

  • icon_url (String) *optional

  • client_uri (String)

  • scope (String)

Logos and icons must be a PNG or JPG. The logo can be 200px x 200px - 1080px x 1080px with a max size of 2MB. The icon must be square with minimum dimensions of 40 x 40px and a maximum of 200 x 200px. The maximum size is 2MB.

Your app automatically subscribes to new providers as they come onto our network.

Get All Apps

Once you've created apps, you can get a list of all apps and all details.

Update Apps

You can update your application details such as client_name, redirect_uris, contacts, description, logo_uri, and icon_url.

JSON PATCH

Update App uses JSON PATCH, specified in IETF’s RFC 6902. A JSON PATCH request updates only specified details for your app. You send the request in the request body as a JSON document containing an array of objects. Each object represents an operation to be applied to your app’s details.

For each update, define the operation, the JSON pointer (which references the JSON key to update), and the value. The API specification explains the operations in further detail:

  • “op” - Operation type. Acceptable values include:

    • add (arrays and struct fields)

    • remove (arrays only)

    • replace (all struct fields)

  • “path” - A JSON Pointer (RFC 6901) that indicates where in the document the operation applies.

  • “value” - The new value to be applied.

The following example updates your app’s description. It uses the “replace” operation, the JSON pointer “/description” and the new value, e.g. “Example new app description.”

JSON

Another example request which includes a string value and an array value:

JSON

Resetting client_secret with PATCH

To reset an app’s client_secret, send an empty value for client_secret. The new secret returns in the response.

You cannot send your own value for the secret. If you send a value for client_secret, the system will ignore it and not generate an error. You receive a new secret in the response.

Products

Get Purchased Products

To get lists of your subscribed Akoya products and which providers support specific Akoya products, use the Get Purchased Products endpoint.

Providers

Get Valid Providers for Products

Use the Get Valid Providers for Products endpoint to get a list of providers that support any of the products passed in as a query parameter (products).

This endpoint also returns logo and icon URLs for the given providers. If the endpoint returns no logo or icon, the provider has not supplied one.

Subscriptions

Get Subscriptions for App

Get Subscriptions for App will list subscription information for each of your applications. This information includes subscribed Akoya products and providers, including which account category the provider supports for the subscription.

Get Subscriptions for App - Filter by Status

Use Get Subscriptions for App - Filter by Status to get a list of your application's subscription status for each provider.

Pagination

Pagination is consistent with other Akoya endpoints and page with next and prev links.

The first page has a next link if there is more than one page. As you page, the next and prev links will update. The follow example demonstrates the second page in the set with prev and next links.

JSON

Best Practices

Provider Logos and Icons

The Get Valid Providers for Products endpoint returns icon and logo URLs that you can render in your app. Consider caching these locally after an initial fetch to improve app performance and reduce unnecessary call volume.

CTRL + K